<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_vector3_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::core::Vector3D&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a4249aef85a1848a2952dfafbe6caad12">GetNorm</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c">Normalize</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const Vector3D&lt; T &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator-=</b>(const Vector3D&lt; T &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Vector3D&lt; S &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(size_t idx) (defined in <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(size_t idx) const  (defined in <a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a5b55225f9547b97a21758c1e2b65dea3">Rotate</a>(const RotationMatrix &amp;matrix)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a1c4c2cbb39ec5583856b3114924d6f86">Rotate</a>(const Quaternion &amp;quaternion)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a195e8601b80e5e85a4d361c5a9b746a0">RotateX</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a70eb14b1c286020f1e5a092a6188b361">RotateXDeg</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a47b3902a89379a918cd9f5441aa7c748">RotateY</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a57a22e954ffffa6f9c8d828788ac1eac">RotateYDeg</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#aaa82d7a6693e70ff7b242aceb977e9c0">RotateZ</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a3cd28096c5b268d44fae64ff3de97c60">RotateZDeg</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a82a85beea28856be5b64f1d773ecebec">Saturate</a>(const Vector3D&lt; T &gt; &amp;min, const Vector3D&lt; T &gt; &amp;max)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a99cd39aa3d52bea0d6f6227f950b3775">Saturate</a>(float min, float max)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a0ce7a8a1fd1a493fa23963d80189b500">Saturate</a>(const Vector3D&lt; T &gt; &amp;value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a057004d70fec9ca92fc47b8f02eb44ed">Saturate</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a2ca154983653645e266a1c2331222a79">To2Dxy</a>(Vector2D&lt; T &gt; &amp;vector) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#af7bca23dab226f26818cddcac3771b0e">To2Dxy</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a4434fbd95b0f760a7f374d8068238c87">Vector3D</a>(T x=0, T y=0, T z=0)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f">x</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256">y</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812">z</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html#ae09b7edbe9f6be35b9f171eefd401b99">~Vector3D</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; T &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
